summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTasos Katsoulas <12612986+tkatsoulas@users.noreply.github.com>2023-06-14 17:44:50 +0300
committerGitHub <noreply@github.com>2023-06-14 17:44:50 +0300
commit899b8b142fc59b44928c65b5250ac24ed579d607 (patch)
tree22dbac54c3e3447c54f5ce289b701c63077d6b8c
parentfaa37832118d4c632fb35cd718babe502edad135 (diff)
Add support for openSUSE 15.5 (#15189)
Signed-off-by: Tasos Katsoulas <tasos@netdata.cloud>
-rw-r--r--.github/data/distros.yml6
-rwxr-xr-x.github/scripts/pkg-test.sh4
-rw-r--r--packaging/PLATFORM_SUPPORT.md1
-rwxr-xr-xpackaging/installer/install-required-packages.sh4
4 files changed, 11 insertions, 4 deletions
diff --git a/.github/data/distros.yml b/.github/data/distros.yml
index 3e24c9673b..355378f5aa 100644
--- a/.github/data/distros.yml
+++ b/.github/data/distros.yml
@@ -177,6 +177,12 @@ include:
- aarch64
test:
ebpf-core: true
+ - <<: *opensuse
+ version: "15.5"
+ base_image: opensuse/leap:15.5
+ packages:
+ <<: *opensuse_packages
+ repo_distro: opensuse/15.5
- &oracle
distro: oraclelinux
diff --git a/.github/scripts/pkg-test.sh b/.github/scripts/pkg-test.sh
index a2ae9090cd..85e8b2e8d2 100755
--- a/.github/scripts/pkg-test.sh
+++ b/.github/scripts/pkg-test.sh
@@ -82,10 +82,10 @@ install_suse_like() {
# Install Netdata
# Strange quoting is required here so that glob matching works.
- zypper install -y --allow-unsigned-rpm /netdata/artifacts/netdata*.rpm || exit 1
+ zypper install -y --allow-downgrade --allow-unsigned-rpm /netdata/artifacts/netdata*.rpm || exit 1
# Install testing tools
- zypper install -y --no-recommends curl netcat-openbsd jq || exit 1
+ zypper install -y --allow-downgrade --no-recommends curl netcat-openbsd jq || exit 1
}
dump_log() {
diff --git a/packaging/PLATFORM_SUPPORT.md b/packaging/PLATFORM_SUPPORT.md
index fd20b4531f..2236ae8468 100644
--- a/packaging/PLATFORM_SUPPORT.md
+++ b/packaging/PLATFORM_SUPPORT.md
@@ -69,6 +69,7 @@ to work on these platforms with minimal user effort.
| Fedora | 38 | x86\_64, AArch64 | |
| Fedora | 37 | x86\_64, AArch64 | |
| openSUSE | Leap 15.4 | x86\_64, AArch64 | |
+| openSUSE | Leap 15.5 | x86\_64, AArch64 | |
| Oracle Linux | 9.x | x86\_64, AArch64 | |
| Oracle Linux | 8.x | x86\_64, AArch64 | |
| Red Hat Enterprise Linux | 9.x | x86\_64, AArch64 | |
diff --git a/packaging/installer/install-required-packages.sh b/packaging/installer/install-required-packages.sh
index 9b1f6518a5..ce5ab40449 100755
--- a/packaging/installer/install-required-packages.sh
+++ b/packaging/installer/install-required-packages.sh
@@ -1723,6 +1723,7 @@ install_zypper() {
fi
local opts="--ignore-unknown"
+ local install_opts="--allow-downgrade"
if [ "${NON_INTERACTIVE}" -eq 1 ]; then
echo >&2 "Running in non-interactive mode"
# http://unix.stackexchange.com/questions/82016/how-to-use-zypper-in-bash-scripts-for-someone-coming-from-apt-get
@@ -1730,9 +1731,8 @@ install_zypper() {
fi
read -r -a zypper_opts <<< "$opts"
-
# install the required packages
- run ${sudo} zypper "${zypper_opts[@]}" install "${@}"
+ run ${sudo} zypper "${zypper_opts[@]}" install "${install_opts}" "${@}"
}
# -----------------------------------------------------------------------------